summaryrefslogtreecommitdiff
path: root/sitemodules/profiles/files/pootle
diff options
context:
space:
mode:
authorJan Dittberner <jan@dittberner.info>2018-09-04 21:34:22 +0200
committerJan Dittberner <jan@dittberner.info>2018-09-04 21:34:22 +0200
commit8469912b874df9e0a26fea0bf9acf8f383dc03ba (patch)
tree33eae6611ce4a6c6f0e4b279ab4e2d965fb121b8 /sitemodules/profiles/files/pootle
parentd33edb268cb94a2faec5c92631f5c2c9badfa946 (diff)
downloadcacert-puppet-8469912b874df9e0a26fea0bf9acf8f383dc03ba.tar.gz
cacert-puppet-8469912b874df9e0a26fea0bf9acf8f383dc03ba.tar.xz
cacert-puppet-8469912b874df9e0a26fea0bf9acf8f383dc03ba.zip
Add basic module to manage Pootle
Diffstat (limited to 'sitemodules/profiles/files/pootle')
-rwxr-xr-xsitemodules/profiles/files/pootle/pootle-update18
1 files changed, 18 insertions, 0 deletions
diff --git a/sitemodules/profiles/files/pootle/pootle-update b/sitemodules/profiles/files/pootle/pootle-update
new file mode 100755
index 0000000..4bdc56b
--- /dev/null
+++ b/sitemodules/profiles/files/pootle/pootle-update
@@ -0,0 +1,18 @@
+#! /bin/sh
+# This is a custom script to update a pootle project which can be whitelisted in
+# sudo for use by unprivileged users
+#
+# This file is managed by Puppet. Manual changes are overwritten by the next
+# Puppet run.
+
+if [ $# -ne 1 -o "$1" = "--help" ]; then
+ echo "Updates the Pootle translation files from the template"
+ echo "Usage: $0 PROJECT"
+ exit 1
+fi
+
+cd /var/www/pootle
+. current/bin/activate
+pootle update_stores --project "$1"
+#/usr/local/bin/pootle-exec update_against_templates --project $1
+